## tinymembench 0.4+git20231218+ds

=== Makefile ===
all: tinymembench

ifdef WINDIR
	CC = gcc
endif

tinymembench: main.c util.o util.h asm-opt.h version.h asm-opt.o x86-sse2.o arm-neon.o mips-32.o aarch64-asm.o
	${CC} -O2 ${CFLAGS} -o tinymembench main.c util.o asm-opt.o x86-sse2.o arm-neon.o mips-32.o aarch64-asm.o -lm

util.o: util.c util.h
	${CC} -O2 ${CFLAGS} -c util.c

asm-opt.o: asm-opt.c asm-opt.h x86-sse2.h arm-neon.h mips-32.h
	${CC} -O2 ${CFLAGS} -c asm-opt.c

x86-sse2.o: x86-sse2.S
	${CC} -O2 ${CFLAGS} -c x86-sse2.S

arm-neon.o: arm-neon.S
	${CC} -O2 ${CFLAGS} -c arm-neon.S

aarch64-asm.o: aarch64-asm.S
	${CC} -O2 ${CFLAGS} -c aarch64-asm.S

mips-32.o: mips-32.S
	${CC} -O2 ${CFLAGS} -c mips-32.S

clean:
	-rm -f tinymembench
	-rm -f tinymembench.exe
	-rm -f *.o

=== debian/changelog ===
tinymembench (0.4+git20231218+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * d/copyright: bump years.

 -- Alex Myczko <tar@debian.org>  Wed, 05 Jun 2024 05:00:04 +0000

tinymembench (0.4+git20231218+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1058912)

 -- Gürkan Myczko <tar@debian.org>  Mon, 18 Dec 2023 09:54:27 +0100

=== debian/control ===
Source: tinymembench
Section: utils
Priority: optional
Maintainer: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: https://github.com/ssvb/tinymembench
Vcs-Browser: https://salsa.debian.org/debian/tinymembench
Vcs-Git: https://salsa.debian.org/debian/tinymembench.git

Package: tinymembench
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Simple memory benchmark tool
 This is a simple memory benchmark program, which tries to measure the peak
 bandwidth of sequential memory accesses and the latency of random memory
 accesses. Bandwidth is measured by running different assembly code for
 the aligned memory blocks and attempting different prefetch strategies.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/ssvb/tinymembench/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
